/*********************************************************************
*                     SEGGER Microcontroller GmbH                    *
*        Solutions for real time microcontroller applications        *
**********************************************************************
*                                                                    *
*        (c) 1996 - 2022  SEGGER Microcontroller GmbH                *
*                                                                    *
*        Internet: www.segger.com    Support:  support@segger.com    *
*                                                                    *
**********************************************************************
----------------------------------------------------------------------
File        : ID_SCREEN_BUC_SETUP_Slots.c
Purpose     : AppWizard managed file, function content could be changed
---------------------------END-OF-HEADER------------------------------
*/

#include "Application.h"
#include "../Generated/Resource.h"
#include "../Generated/ID_SCREEN_BUC_SETUP.h"
#include "../Generated/ID_SCREEN_BUC_HEALTH.h"
#include "../Generated/ID_SCREEN_BUC_CONTROL.h"
#include "../Generated/ID_SCREEN_BUC_INFO.h"
#include "../Generated/ID_SCREEN_BUC_MAINTAINANC.h"
#include "../Generated/ID_SCREEN_BUC_NET_SETTINGS.h"
#include "../Generated/ID_SCREEN_BUC_STATUS.h"
#include "../Generated/ID_SCREEN_HHT_NET_SETTINGS.h"
#include "../utilities/fsl_debug_console.h"

/*** Begin of user code area ***/
/*** End of user code area ***/

/*********************************************************************
*
*       Public code
*
**********************************************************************
*/
/*********************************************************************
*
*       cbID_SCREEN_BUC_SETUP
*/
void cbID_SCREEN_BUC_SETUP(WM_MESSAGE * pMsg) {
  GUI_USE_PARA(pMsg);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_SETUP__ID_BUTTON_BUC_INFO__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_BUC_SETUP__ID_BUTTON_BUC_INFO__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
	if(BUC_Info_Buc_ID_Save_Flag==1)
		{
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_DISP_ID_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_DISP_ID_VAL, gui_BUC_Info_ID);
		}
		if(Parameter_UDP_Pkt_from_BUC_Received==1)
		{
				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, gui_BUC_Serial_Num_P1);

				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, gui_BUC_SW_VER_P1);

				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, gui_BUC_FW_VER_P1);

				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, gui_BUC_Manuf_Date_P1);
		}
		else if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
		{
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, gui_Screen_Param_Default);
		}

		else if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
		{
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SERIAL_NUM_VAL, Backup_gui_BUC_Serial_Num);

			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_SW_VER_VAL, Backup_gui_BUC_SW_VER_P1);

			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_FW_VER_VAL, Backup_gui_BUC_FW_VER_P1);

			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_INFO, ID_TEXT_BUC_MANU_YEAR_VAL, Backup_gui_BUC_Manuf_Date);
		}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_SETUP__ID_BUTTON_BUC_CONTROL__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_BUC_SETUP__ID_BUTTON_BUC_CONTROL__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//		if(Buc_ctrl_RF_attn_ctrl_save_flag==1)
//		{
//			PRINTF("CONTROL gui_attenution_ctrl=%s",gui_attenution_ctrl);
//			APPW_SetText(ID_SCREEN_BUC_CONTROL, ID_TEXT_ATTN_CTRL_DISP, gui_attenution_ctrl);
//		}
//		if(Buc_ctrl_RF_attn_ctrl_save_flag==0 && Parameter_UDP_Pkt_from_BUC_Received==1)
//		{
//			APPW_SetText(ID_SCREEN_BUC_CONTROL, ID_TEXT_ATTN_CTRL_DISP, gui_attenution_ctrl);
//		}
//	  	PRINTF("\n\r [UDP-APPW] gui_Ext_10MHz_Ref_Src=%s\tudp_Ext_10MHz_Ref_Src=%d",gui_Ext_10MHz_Ref_Src,udp_Ext_10MHz_Ref_Src);
//	  	PRINTF("\n\r [UDP-APPW] gui_RF_Mute_Ctrl=%s\tudp_RF_Mute_Ctrl=%d",gui_RF_Mute_Ctrl,udp_RF_Mute_Ctrl);
//		if(Buc_ctrl_Ext_10MHz_Ref_Src_save_flag==0 && Parameter_UDP_Pkt_from_BUC_Received==1)
//		{
//			APPW_SetValue(ID_SCREEN_BUC_CONTROL, ID_SLIDER_EXT_10MHZ_REF_SRC, udp_Ext_10MHz_Ref_Src);
//		}
//		if(Buc_ctrl_RF_Mute_save_flag==0 && Parameter_UDP_Pkt_from_BUC_Received==1)
//		{
//			APPW_SetValue(ID_SCREEN_BUC_CONTROL, ID_SLIDER_BUC_CTRL_RF_MUTE, udp_RF_Mute_Ctrl);
//		}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_SETUP__ID_BUTTON_BUC_HEALTH__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_BUC_SETUP__ID_BUTTON_BUC_HEALTH__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {

		if(Parameter_UDP_Pkt_from_BUC_Received==1)
		{
				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, gui_RF_FWD_Power_Alarm_Health);

				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, gui_Input_Power_Health);

				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, gui_PLO_Lock_Status_Health);

				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, gui_LO_Power_Level_Health);

				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, gui_L_Band_Input_OverDrive_Health);

				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, gui_Fan_Health);

				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, "");
				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, gui_VSWR_Alarm_Health);

				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, gui_DC_24V_health);

				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, gui_Sequence_Health);

				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, gui_Temp_HPD_Health);
		}
		if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
		{
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, gui_Screen_Param_Default);

		}
		if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
		{
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, Backup_gui_RF_FWD_Power_Alarm_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, Backup_gui_Input_Power_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, Backup_gui_PLO_Lock_Status_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, Backup_gui_LO_Power_Level_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, Backup_gui_L_Band_Input_OverDrive_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, Backup_gui_Fan_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, Backup_gui_VSWR_Alarm_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, Backup_gui_DC_24V_health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, Backup_gui_Sequence_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, Backup_gui_Temp_HPD_Health);
		}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_SETUP__ID_BUTTON_BUC_STATUS__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_BUC_SETUP__ID_BUTTON_BUC_STATUS__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
	if(Parameter_UDP_Pkt_from_BUC_Received==1)
		{
			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_LOW_POWER_SEL_SW_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_LOW_POWER_SEL_SW_VAL, gui_Low_Power_Sel_Switch);

			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_BUC_STATUS_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_BUC_STATUS_VAL, gui_BUC_Status);

			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_DC_INPUT_CURRENT_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_DC_INPUT_CURRENT_VAL, gui_DC_Input_Current_P1);

			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_TEMP_HPD_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_TEMP_HPD_VAL, gui_Temp_HPD_P1);

			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_TEMP_PS_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_TEMP_PS_VAL, gui_Temp_PS_P1);
		}
		if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
		{
			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_LOW_POWER_SEL_SW_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_LOW_POWER_SEL_SW_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_BUC_STATUS_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_BUC_STATUS_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_DC_INPUT_CURRENT_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_DC_INPUT_CURRENT_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_TEMP_HPD_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_TEMP_HPD_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_TEMP_PS_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_TEMP_PS_VAL, gui_Screen_Param_Default);
		}
		if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
		{
			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_LOW_POWER_SEL_SW_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_LOW_POWER_SEL_SW_VAL, Backup_gui_Low_Power_Sel_Switch);

			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_BUC_STATUS_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_BUC_STATUS_VAL, Backup_gui_BUC_Status);

			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_DC_INPUT_CURRENT_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_DC_INPUT_CURRENT_VAL, Backup_gui_DC_Input_Current);

			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_TEMP_HPD_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_TEMP_HPD_VAL, Backup_gui_Temp_HPD);

			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_TEMP_PS_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_MAINTAINANC, ID_TEXT_TEMP_PS_VAL, Backup_gui_Temp_PS);
		}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_SETUP__ID_BUTTON_BUC_SETTINGS__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_BUC_SETUP__ID_BUTTON_BUC_SETTINGS__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
	if(BUC_Net_Sett_Save_Flag==1 && BUC_Net_Validate_Flag==1)
		{
			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_IP_ADDR_DISP, "");
			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_IP_ADDR_DISP, gui_update_Buc_net_IP_Addr);

			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_SNET_ADDR_DISP, "");
			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_SNET_ADDR_DISP, gui_update_Buc_net_SubNet_Addr);

			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_GW_ADDR_DISP, "");
			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_GW_ADDR_DISP, gui_update_Buc_net_gateway_Addr);

		}

		else if(Parameter_UDP_Pkt_from_BUC_Received==1)
		{
			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_IP_ADDR_DISP, "");
			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_IP_ADDR_DISP, gui_BUC_IP_Addr1);

			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_SNET_ADDR_DISP, "");
			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_SNET_ADDR_DISP, gui_BUC_Subnet_Addr1);

			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_GW_ADDR_DISP, "");
			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_GW_ADDR_DISP, gui_BUC_Gateway_Addr1);
		}

		//gui_Screen_Param_Default
		else if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
		{
			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_IP_ADDR_DISP, "");
			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_IP_ADDR_DISP, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_SNET_ADDR_DISP, "");
			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_SNET_ADDR_DISP, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_GW_ADDR_DISP, "");
			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_GW_ADDR_DISP, gui_Screen_Param_Default);
		}

		else if (g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
		{
			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_IP_ADDR_DISP, "");
			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_IP_ADDR_DISP, Backup_gui_BUC_IP_Addr1);

			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_SNET_ADDR_DISP, "");
			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_SNET_ADDR_DISP, Backup_gui_BUC_Subnet_Addr1);

			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_GW_ADDR_DISP, "");
			APPW_SetText(ID_SCREEN_BUC_NET_SETTINGS, ID_TEXT_BUC_GW_ADDR_DISP, Backup_gui_BUC_Gateway_Addr1);
		}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_SETUP__ID_BUTTON_BUC_SYS__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_BUC_SETUP__ID_BUTTON_BUC_SYS__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_SETUP__ID_BUTTON_BACK_BUC_SETUP__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_BUC_SETUP__ID_BUTTON_BACK_BUC_SETUP__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_SETUP__ID_BUTTON_HOME_BUCSETUP__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_BUC_SETUP__ID_BUTTON_HOME_BUCSETUP__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*************************** End of file ****************************/
